=== debian/changelog ===
nvidia-settings (375.26-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Jan 2017 15:43:15 +0100

nvidia-settings (375.26-3) unstable; urgency=medium

  * Do not generate nvidia-settings-dbgsym package to avoid having the source
    in both unstable and unstable-debug/contrib, breaking the archive tools.
    (See: #824169)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Jan 2017 22:27:31 +0100

nvidia-settings (375.26-2) unstable; urgency=medium

  * pie.patch: New, filter out -pie when linking shared libraries.
    (Closes: #848893)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Jan 2017 23:19:38 +0100

nvidia-settings (375.26-1) unstable; urgency=medium

  * New upstream release 375.26.  (Closes: #847955)
    - Fixed a regression that could cause the nvidia-settings control panel
      to crash on startup with certain GPU configurations.
  * New upstream release 375.20.
    - Updated nvidia-settings to not have a build-time dependence on an
      external nvml development package (a regression introduced in 375.10).
    - Fixed a crash in nvidia-settings when adding Application Profile Rule
      and Profile entries.
    - Removed the "Enable Tooltip" option in nvidia-settings for the GTK 2
      interface.
  * Recommend libnvidia-ml1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 27 Dec 2016 00:56:37 +0100

nvidia-settings (370.28-1) unstable; urgency=medium

  * New upstream release 370.28.
  * Switch to debhelper compat level 10, no changes needed.
  * Recommend libgl1-nvidia-glvnd-glx as preferred alternative.
  * Recommend nvidia-vdpau-driver.
  * Resolve xorg libdir at build time.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Dec 2016 14:08:33 +0100
