## nvidia-settings 375.66

=== debian/changelog ===
nvidia-settings (375.66-1) unstable; urgency=medium

  * New upstream release 375.66.
    - Updated the display configuration page in the nvidia-settings
      control panel to accurately reflect HDMI 3D refresh rates.
  * Remove PIE workarounds, this now works out-of-the-box.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 30 May 2017 10:42:42 +0200
