=== debian/watch ===
version=3
ftp://download.nvidia.com/XFree86/nvidia-settings/nvidia-settings-(.*).tar.(?:gz|bz2)
