## nvidia-settings 384.98

=== debian/changelog ===
nvidia-settings (384.98-1) unstable; urgency=medium

  * New upstream release 384.98.
  * New upstream release 384.59.
    - Fixed a bug that prevented changes to stereo eye assignment from
      getting applied from the nvidia-settings control panel.
  * New upstream release 384.47.
    - Fixed a bug that caused nvidia-settings to drop device BusID
      values when making changes to an existing X configuration file.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Nov 2017 05:46:31 +0100

nvidia-settings (381.22-1) unstable; urgency=medium

  * New upstream release 381.22.
  * New upstream release 381.09.
    - Fixed a bug that caused "nvidia-settings --query all" to print many
      duplicate entries.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Nov 2017 17:41:42 +0100

nvidia-settings (378.13-1) unstable; urgency=medium

  * New upstream release 378.13.
    - Added support in nvidia-settings to view configured PRIME displays. To
      enable PRIME displays, see "Offloading Graphics Display with RandR 1.4"
      in the README.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Nov 2017 18:32:23 +0100

nvidia-settings (375.82-2) unstable; urgency=medium

  * Set Rules-Requires-Root: no.
  * Use dh_missing --list-missing.
  * 13_clean.diff: Remove, fixed upstream since 337.12.
  * Use debian/substvars for substitutions by dpkg-genchanges (dpkg 1.19).
  * Remove support for versions predating 304.xx.
  * Remove Breaks/Replaces against packages older than jessie.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 20 Nov 2017 10:11:18 +0100

nvidia-settings (375.82-1) unstable; urgency=medium

  * New upstream release 375.82.
  * Use GPL notice without FSF street address.
  * Bump Standards-Version to 4.1.1. No changes needed.
  * Use Luca's @debian.org address.
  * Remove Fathi Boudra from Uploaders, thanks for your work on
    nvidia-settings!  (Closes: #879413)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Nov 2017 00:43:58 +0100

nvidia-settings (375.66-3) unstable; urgency=medium

  [ Luca Boccassi ]
  * Use https for links in debian/copyright.
  * Remove Debian menu system entry, deprecated in favour of Free Desktop
    entry.
  * Bump Standards-Version to 4.0.1.
  * Set build directory to _out/debian to make the build reproducible,
    instead of the upstream default of _out/($uname)_($uname -m).

  [ Russ Allbery ]
  * Remove myself from Uploaders.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Mon, 21 Aug 2017 19:17:00 +0100

nvidia-settings (375.66-2) unstable; urgency=medium

  * Add patches to make the build reproducible:
    SOURCE_DATE_EPOCH-for-manpage.patch, SOURCE_DATE_EPOCH-for-STAMP_C.patch
    and dummy-hostname-user-for-STAMP_C.patch
  * Remove workarounds in d/rules for date/user, it is fixed in the
    upstream makefiles.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Sat, 24 Jun 2017 13:00:26 +0100
