## nvidia-settings 384.111

=== src/Makefile ===
--- 
+++ 
@@ -78,6 +78,13 @@
   VDPAU_CFLAGS        := $(shell $(PKG_CONFIG) --cflags vdpau 2> /dev/null)
   ifeq ($(VDPAU_CFLAGS),)
     VDPAU_CFLAGS       = -I /usr/include
+  endif
+endif
+
+ifndef DBUS_CFLAGS
+  DBUS_CFLAGS        := $(shell $(PKG_CONFIG) --cflags dbus-1 2> /dev/null)
+  ifeq ($(DBUS_CFLAGS),)
+    DBUS_CFLAGS       = -I /usr/include/dbus-1.0/
   endif
 endif
 
@@ -228,6 +235,7 @@
 CFLAGS     += -I $(VIRTUAL_RESOLUTIONS_DIR)
 CFLAGS     += -I $(OUTPUTDIR)
 CFLAGS     += $(VDPAU_CFLAGS)
+CFLAGS     += $(DBUS_CFLAGS)
 CFLAGS     += -DPROGRAM_NAME=\"nvidia-settings\"
 
 $(call BUILD_OBJECT_LIST,$(XCP_SRC)): CFLAGS += -fPIC
