=== debian/changelog ===
nvidia-settings (384.111-1~deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Reinstate the PIE workarounds.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 06 Mar 2018 19:09:51 +0100

nvidia-settings (384.111-1~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 25 Feb 2018 18:18:20 +0100

nvidia-settings (384.111-1) unstable; urgency=medium

  * New upstream release 384.111.
  * Bump Standards-Version to 4.1.3. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 11 Jan 2018 20:52:21 +0100
