=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Build-Conflicts:
  libxnvctrl-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Git: https://anonscm.debian.org/git/pkg-nvidia/nvidia-settings.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-settings.git
@@ -35,6 +35,7 @@
  nvidia-installer-cleanup,
 Depends:
  ${nvidia-alternative},
+ libxnvctrl0 (= ${binary:Version}),
  libgtk-3-0 (>= 3.0.0) | libgtk2.0-0 (>= 2.8.0),
  ${shlibs:Depends}, ${misc:Depends}
 Recommends:
