=== debian/rules ===
--- 
+++ 
@@ -8,19 +8,14 @@
 
 include /usr/share/dpkg/buildflags.mk
 
-# Redefine DATE to something stable to make the build reproducible
-BUILDDATE		:= $(shell dpkg-parsechangelog -S Date)
-export DATE		 = date -d "$(BUILDDATE)"
-# Cheat for user and hostname
-export WHOAMI		 = echo buildd
-export HOSTNAME_CMD	 = echo debian
-
 PKG_CONFIG_XORG_XSERVER_LIBDIR	 = $(shell pkg-config --variable=libdir xorg-server)
 CPPFLAGS		+= -DPKG_CONFIG_XORG_XSERVER_LIBDIR='\"$(PKG_CONFIG_XORG_XSERVER_LIBDIR)\"'
 
 export PREFIX		 = /usr
 export DO_STRIP		 =
 export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
+# reproducible builds: instead of _out/$(uname)_($uname -m) use a fixed directory
+export OUTPUTDIR         = _out/debian
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 export DEBUG		 = 1
@@ -43,6 +38,7 @@
 TEMPLATES	:= $(wildcard debian/*.in)
 AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
 AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
+AUTOGEN		+= debian/substvars
 AUTOKEEP	 = debian/watch
 AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
 
@@ -57,15 +53,18 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
-	install -m 0755 $(wildcard samples/_out/*/nv-control-dpy samples/_out/*/*/nv-control-dpy samples/nv-control-dpy) debian/tmp/usr/bin/
-	install -m 0644 $(or $(wildcard doc/nvidia-settings.png),debian/nvidia-settings.png) debian/tmp/nvidia-settings$(legacy).png
+	install -m 0755 samples/$(OUTPUTDIR)/nv-control-dpy debian/tmp/usr/bin/
+	install -m 0644 doc/nvidia-settings.png debian/tmp/nvidia-settings$(legacy).png
+
+override_dh_missing:
+	dh_missing --list-missing
 
 override_dh_auto_clean:
 	dh_auto_clean
 	$(RM) src/libXNVCtrl/libXNVCtrl.a
-	[ ! -f src/XF86Config-parser/Makefile ] || $(MAKE) -C src/XF86Config-parser clean
-	[ ! -f samples/Makefile ] || $(MAKE) -C samples clean
-	$(RM) -r _out */_out
+	$(RM) src/libXNVCtrl/libXNVCtrl.so*
+	$(MAKE) -C samples clean
+	$(RM) -r doc/_out samples/_out src/_out src/libXNVCtrl/_out
 	$(RM) $(AUTOCLEAN)
 	$(MAKE) -f debian/rules $(AUTOKEEP)
 
@@ -86,6 +85,10 @@
 		-V'nvidia:LegacyDesc=$(legacy_description)' \
 		-V'nvidia-alternative=$(NVIDIA_ALTERNATIVE)'
 
+# used by dpkg-genchanges
+debian/substvars:
+	echo 'nvidia:LegacyDesc=$(legacy_description)' > $@
+
 
 # Generating control files
 debian/%:: debian/%.in debian/rules debian/rules.defs
