## nvidia-settings 390.42

=== debian/changelog ===
nvidia-settings (390.42-0ubuntu1) bionic; urgency=medium

  * New upstream release.

  [ Alberto Milone ]
  * debian/patches/08_add_prime_support.patch:
    - Use pkexec to call prime-select (LP: #1757180).
    - Recommend a computer restart, rather than
      a simple log out (LP: #1704781).

  [ Graham Inggs ]
  * debian/patches/05_add_polkit_support.patch,
    debian/patches/06_remove_local_prefix.patch,
    debian/patches/07_remove_features_for_legacy.patch,
    debian/patches/08_add_prime_support.patch,
    debian/patches/10_legacy_vdpau.patch,
    debian/patches/11_link_as-needed.patch,
    debian/patches/12_nostrip.patch,
    debian/patches/15_clean.patch:
    - Refresh all patches for new upstream 390.42
  * debian/patches/13_libxnvctrl_so_0.patch,
    debian/patches/link-order.diff:
    - Reorder libraries and object files to allow proper
      dependency resolution.
  * debian/control,
    debian/libxnvctrl0.install,
    debian/rules,
    debian/source/format:
    - Switch to debhelper 9.
    - Switch to source format 3.0 (quilt).
    - Depend on libgtk-3-0 | libgtk2.0-0, don't require both.
    - Switch to debian/watch.
    - Drop download-sources target with obsolete URL.
    - Change libxnvctrl0 and libxnvctrl-dev Architecture
      to any (LP: #1690669).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 22 Mar 2018 18:29:24 +0100

nvidia-settings (384.69-0ubuntu1) artful; urgency=medium

  * New upstream release (to match the 384 series in the archive).
  * debian/patches/08_add_prime_support.patch:
    - Refresh the patch for the 384 series.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 09 Oct 2017 18:28:54 +0200

nvidia-settings (367.35-0ubuntu1) yakkety; urgency=medium

  * debian/control:
    - Build for arm64 and ppc64el, even though we don't provide the
      driver for these architectures yet.
  * debian/patches/12_nostrip.patch,
    debian/patches/13_libxnvctrl_so_0.patch:
    - Refresh patches.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 09 Aug 2016 11:10:31 +0200

nvidia-settings (361.42-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Limited the default concurrency level in nvidia-settings to 32,
      to avoid hitting the maximum tasks limit on systems with many
      CPUs.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 05 Apr 2016 11:42:18 +0200

nvidia-settings (361.28-0ubuntu1) xenial; urgency=medium

  * New upstream release.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 11 Feb 2016 11:50:07 +0100

nvidia-settings (352.21-0ubuntu1) wily; urgency=medium

  * debian/rules:
    - Remove a character that was accidentally introduced in the
      sources' link, which was causing the download-sources target
      to fail.
  * New upstream release:
    - Fixed a bug that caused the Display Configuration page of the
      nvidia-settings control panel to automatically generate layouts
      with multiple displays occupying the same position when
      enabling or disabling Base Mosaic.
    - Updated nvidia-settings to allow the use of the standard
      Display Configuration page when SLI Mosaic is enabled.
    - Added reporting of ECC error counts to the nvidia-settings
      control panel.
    - Fixed a bug in nvidia-settings that caused the application to
      crash when saving the EDID to a file.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 23 Jul 2015 12:57:28 +0200

nvidia-settings (346.82-0ubuntu1) wily; urgency=medium

  * New upstream release:
    - Fixed a bug that caused the application to crash when saving
      the EDID to a file.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 24 Jun 2015 17:19:13 +0200

nvidia-settings (346.72-0ubuntu1) wily; urgency=medium

  * New upstream release.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 19 May 2015 16:36:18 +0200

nvidia-settings (346.59-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - Fixed a bug that could cause nvidia-settings to crash on exit.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 09 Apr 2015 10:47:10 +0200

nvidia-settings (346.47-0ubuntu1) vivid; urgency=medium

  [ Graham Inggs ]
  * Enable building for armhf.
  * New packages libxnvtrl0 and libxnvctrl-dev. (LP: #1327753)
  * Sync all patches from 343.22-1 in Debian experimental.
  * Merge debian/copyright from 343.22-1 in Debian experimental,
    add Ubuntu contributors, update copyright years. (LP: #1429974)

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 18 Mar 2015 12:41:58 +0100

nvidia-settings (346.35-0ubuntu1) vivid; urgency=low

  * New upstream release:
    - Updated nvidia-settings to take advantage of GTK+ 3, when
      available. This is implemented by building the nvidia-settings
      user interface into separate shared libraries (libnvidia-
      gtk2.so, libnvidia-gtk3.so), and loading the correct one at
      run-time.
    - Added the nvidia-settings option --gtk-library to allow
      specifying the path of the directory containing the user
      interface library or the path and filename of the specific
      library to use.
    - Added support in nvidia-settings for a GTK+ 3 user interface on
      x86 and x86_64.
    - Added the nvidia-settings option --use-gtk2 to force the use of
      the GTK+ 2 UI library.
  * debian/control:
    - Fix up build dependencies.
  * debian/patches/10_legacy_vdpau.patch:
   - Make it possible to build with VDPAU releases older than 0.9.
  * debian/patches/04_nvidia-settings_natty_ftbs.patch:
   - Drop the patch.
  * debian/patches/07_remove_features_for_legacy.patch,
    debian/patches/09_do_not_complain_if_nvidia_is_missing.patch:
   - Refresh the patches.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 16 Jan 2015 18:21:44 +0100

nvidia-settings (331.20-0ubuntu8) trusty; urgency=low

  * debian/patches/05_add_polkit_support.patch,
    debian/patches/08_add_prime_support.patch:
    - Use python 3 instead of python 2.


