## nvidia-settings 390.48

=== debian/changelog ===
nvidia-settings (390.48-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert to debhelper 10 compat to build on vanilla Stretch.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 06 May 2018 13:07:54 -0700

nvidia-settings (390.48-2) unstable; urgency=medium

  * Add Provides+Conflicts: nvidia-settings-gtk-${nvidia:Version} to prevent
    file conflicts with the legacy package built from the same upstream
    version.
  * Use dh_missing --fail-missing.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 Apr 2018 20:22:08 +0200

nvidia-settings (390.48-1) unstable; urgency=medium

  * New upstream release 390.48.
  * Bump Standards-Version to 4.1.4. No changes needed.
  * Switch to debhelper compat level 11.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 Apr 2018 17:07:14 +0200

nvidia-settings (390.25-1) unstable; urgency=medium

  * New upstream release 390.25.
  * Only build nvidia-settings on platforms where it is going to be used.
    (Closes: #892184)
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 06 Mar 2018 23:51:27 +0100

nvidia-settings (390.12-1) experimental; urgency=medium

  * New upstream release 390.12.
    - Updated the SLI Mosaic layout page in the nvidia-settings control
      panel to support topologies with up to 32 displays.
    - Added an OpenGL stereo preview feature to the screen page in
      nvidia-settings.
  * Merge changes from 384.111.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Jan 2018 01:57:07 +0100

nvidia-settings (387.34-2) unstable; urgency=medium

  * Generate the GTK3|GTK2 dependency dynamically.  (Closes: #885709)
  * Merge changes from 384.111-1 (unstable), 384.111-1~deb9u1 (stretch).
  * Add debian/upstream/metadata.
  * Fix new Lintian issues.
  * Switch Vcs-* URLs to salsa.debian.org.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 06 Mar 2018 03:17:02 +0100

nvidia-settings (387.34-1) experimental; urgency=medium

  * New upstream release 387.34.
  * New upstream release 387.12.
    - Fixed a bug that sometimes prevented the "Reset Default Configuration"
      button in the nvidia-settings "ECC Settings" page from being available
      when the ECC configuration is set to a non-default state.
    - Fixed a bug that caused nvidia-settings to enforce overly aggressive
      limits on display positions in the "X Server Display Configuration"
      page under some circumstances.
    - Fixed a bug that could cause the "Enable Base Mosaic (Surround)"
      checkbox in nvidia-settings to disappear when an X screen, rather than
      a display, is selected in the "X Server Display Configuration" page.
    - Fixed a bug that caused the nvidia-settings control panel to retain
      some settings that had been applied, but not confirmed. This resulted
      in unwanted settings being applied to subsequent settings changes.
  * Refresh patches.
  * Bump Standards-Version to 4.1.2. No changes needed.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 10 Dec 2017 08:49:46 +0100
