## nvidia-settings 390.67

=== debian/changelog ===
nvidia-settings (390.67-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 08 Nov 2018 12:40:57 -0800

nvidia-settings (390.67-1) unstable; urgency=medium

  * New upstream release 390.67.
  * Use reproducibility patches from upstream.
  * Bump Standards-Version to 4.1.5. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 15 Jul 2018 02:33:17 +0200
