=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Vincent Cheng <vcheng@debian.org>,
  Luca Boccassi <bluca@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-exec (>= 0.3),
  m4,
  libgl1-mesa-dev | libgl-dev,
@@ -24,7 +24,7 @@
 Build-Conflicts:
  libxnvctrl-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git
