## nvidia-settings 390.77

=== debian/changelog ===
nvidia-settings (390.77-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * 08_add_prime_support.patch:
    - Recommend a simple log out (LP: #1778011).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 02 Aug 2018 16:30:52 +0200
