## nvidia-settings 390.87

=== debian/changelog ===
nvidia-settings (390.87-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 24 Jan 2019 19:14:54 -0800

nvidia-settings (390.87-1) unstable; urgency=medium

  * New upstream release 390.87.
  * Add Build-Depends-Package field to symbols file.
  * Bump Standards-Version to 4.3.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 19 Jan 2019 16:53:14 +0100
