## nvidia-settings 390.116

=== debian/changelog ===
nvidia-settings (390.116-1) stretch; urgency=medium

  * New upstream release 390.116.
    - Added the synchronization state for PRIME Displays to nvidia-settings.
    - Fixed a bug that could prevent nvidia-xconfig from disabling the X
      Composite extension on version 1.20 of the X.org X server.
  * Upload to stretch.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Mar 2019 22:14:52 +0100

nvidia-settings (390.87-1~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.
  * Revert to debhelper compat level 10.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Feb 2019 00:30:21 +0100
