=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: nvidia-settings
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>,
  Luca Boccassi <bluca@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 10),
  dh-exec (>= 0.3),
  m4,
  libgl1-mesa-dev | libgl-dev,
