=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/pkg-info.mk
 
 PKG_CONFIG_XORG_XSERVER_LIBDIR	 = $(shell pkg-config --variable=libdir xorg-server)
 CPPFLAGS		+= -DPKG_CONFIG_XORG_XSERVER_LIBDIR='\"$(PKG_CONFIG_XORG_XSERVER_LIBDIR)\"'
@@ -26,6 +27,7 @@
 include debian/rules.defs
 NVIDIA_LEGACY		?=
 NVIDIA_ALTERNATIVE	?= nvidia$(legacy)-alternative
+NVIDIA_RELEASE		 = $(DEB_VERSION_UPSTREAM)
 legacy			 = $(if $(NVIDIA_LEGACY),-legacy-$(NVIDIA_LEGACY)xx)
 legacy_description	 = $(if $(NVIDIA_LEGACY), ($(NVIDIA_LEGACY)xx legacy version))
 nvidia_private		 = nvidia$(if $(legacy),/$(patsubst -%,%,$(legacy)),/current)
@@ -46,8 +48,13 @@
 %:
 	dh $@
 
+ifeq (,$(filter nvidia-settings,$(shell dh_listpackages)))
 override_dh_auto_build: $(AUTOGEN)
-	$(RM) src/libXNVCtrl/libXNVCtrl.a
+	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build --sourcedirectory=src/libXNVCtrl
+
+override_dh_auto_install:
+else
+override_dh_auto_build: $(AUTOGEN)
 	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build -O--parallel
 	$(MAKE) -C samples
 
@@ -56,8 +63,13 @@
 	install -m 0755 samples/$(OUTPUTDIR)/nv-control-dpy debian/tmp/usr/bin/
 	install -m 0644 doc/nvidia-settings.png debian/tmp/nvidia-settings$(legacy).png
 
+override_dh_strip:
+	dh_strip -Nnvidia-settings
+	dh_strip --remaining-packages --no-automatic-dbgsym
+endif
+
 override_dh_missing:
-	dh_missing --list-missing
+	dh_missing --fail-missing
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -68,21 +80,21 @@
 	$(RM) $(AUTOCLEAN)
 	$(MAKE) -f debian/rules $(AUTOKEEP)
 
-override_dh_strip:
-	dh_strip -Nnvidia-settings
-	dh_strip --remaining-packages --no-automatic-dbgsym
-
 override_dh_compress:
 	dh_compress --exclude=.c --exclude=.mk
 
 override_dh_gencontrol:
-	if [ -f debian/nvidia-settings.substvars ]; then \
-		sed -ri -e 's/libgtk2.0-0 \(>= 2.8.0\)//' \
-			-e 's/libgtk-3-0 \(>= 3.0.0\)//' \
-			debian/nvidia-settings.substvars ; \
+	set -ex; \
+	if [ -f debian/nvidia-settings$(legacy).substvars ]; then \
+		sed -ri -e 's/(^[^:]*:Depends=)/\1 GTK3 | GTK2, /' \
+			-e 's/(GTK2)(.*)(libgtk2.0-0 \([^\)]*\))/\3\2/' \
+			-e 's/(GTK3)(.*)(libgtk-3-0 \([^\)]*\))/\3\2/' \
+			debian/nvidia-settings$(legacy).substvars ; \
+		! grep GTK debian/nvidia-settings$(legacy).substvars ; \
 	fi
 	dh_gencontrol -- -V'nvidia:Legacy=$(legacy)' \
 		-V'nvidia:LegacyDesc=$(legacy_description)' \
+		-V'nvidia:Version=$(NVIDIA_RELEASE)' \
 		-V'nvidia-alternative=$(NVIDIA_ALTERNATIVE)'
 
 # used by dpkg-genchanges
